<?php
/**
 * Class GetPnp
 *
 * @package DhlPolska\API\ParcelShop\Method
 */

namespace DhlPolska\API\ParcelShop\Method;

use DhlPolska\API\AuthDataInterface;
use DhlPolska\API\ParcelShop\Struct\GetPnpStructure;
use JsonSerializable;

/**
 * GetPnp structure.
 */
class GetPnp implements JsonSerializable {

	/**
	 * @var GetPnpStructure
	 */
	private GetPnpStructure $structure;

	/**
	 * GetPnp constructor.
	 *
	 * @param AuthDataInterface $auth_data .
	 * @param string            $shipment_date .
	 */
	public function __construct( AuthDataInterface $auth_data, string $shipment_date ) {
		$this->structure = new GetPnpStructure( $auth_data, $shipment_date );
	}

	/**
	 * @return array
	 */
	public function jsonSerialize(): array {
		return $this->structure->jsonSerialize();
	}
}
